Bug 167995 - Wireless card mode cannot be set to Auto
Wireless card mode cannot be set to Auto
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-09-10 01:21 EDT by Ivan Gyurdiev
Modified: 2008-05-06 20:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-09-10 01:21:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
Leaving the mode of wireless connection to Auto, results in the following message:

Error for wireless request "Set Mode" (8B06) :
    SET failed on device ath0:1 ; Invalid argument.


Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1. Try to set Wireless card mode to Auto


Additional info:
Comment 1 Harald Hoyer 2005-09-12 02:51:32 EDT
ath0:1 ?? why an alias, btw?
Please attach /etc/sysconfig/network-scripts/ifcfg-ath*
Comment 2 Ivan Gyurdiev 2005-09-12 03:34:10 EDT
Alias? Here's the script when set to Auto mode:

# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
GATEWAY=192.168.2.1
TYPE=Wireless
DEVICE=ath0:1
HWADDR=00:0f:3d:ad:a1:bc
BOOTPROTO=none
NETMASK=255.255.255.0
DHCP_HOSTNAME=cobra.ivg2.net
IPADDR=192.168.2.105
DOMAIN=
IPV6INIT=yes
ONBOOT=yes
USERCTL=no
PEERDNS=yes
ESSID='134C Valentine'
CHANNEL=11
MODE=Auto
RATE=Auto
NETMASK=255.255.255.0
Comment 3 Harald Hoyer 2005-09-12 03:45:07 EDT
Changing "Auto" to "auto" does not make the error go away, does it?
Comment 4 Ivan Gyurdiev 2005-09-12 03:52:10 EDT
No...
Comment 5 Mike Cohler 2005-11-01 14:19:19 EST
I had this happen on a Dell D610 using the ipw2200.  The solution for me was to
remove the line "RATE=Auto" completely from my ifcfg-eth1 file. Then it no
longer gave errors. 

Originally when the error message occured it still continued to setup the
wireless link, and did work work. Removing the "RATE=" line worked the same but
did not give an error when doing "ifup eth1" in my case.

I wonder if this will be the same for your setup ?

Mike
Comment 6 Ivan Gyurdiev 2006-02-17 03:26:37 EST
Reconfirming bug, Rawhide, Feb 17.
Comment 7 Bug Zapper 2008-04-03 12:19:56 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:14:15 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.